Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# LineRegionsSupport Class Reference
[Handlers]

Inheritance diagram for LineRegionsSupport:

## Detailed Description

Region store implementation of RegionHandler.

## Public Member Functions
void | resize (int lineCount)
| Resizes structures to mantain regions for `lineCount` lines.
int | size ()
| Return current size of this line regions structure.
void | clear ()
| Drops all internal structures.
void | setFirstLine (int first)
| Sets start line position of line structures.
int | getFirstLine ()
| Returns first line position, installed in this line structures.
void | setBackground (const RegionDefine *back)
| Background region define, which is used to fill transparent regions.
void | setSpecialRegion (const Region *special)
| Tells handler to mark with special field all Regions with specified ancestor.
void | setRegionMapper (const RegionMapper *rds)
| Choose the source of RegionDefine definitions.
LineRegion * | getLineRegions (int lno) const
| Returns LineRegion object for `lno` line number.
void | startParsing (int lno)
| RegionHandler implementation.
void | clearLine (int lno, String *line)
void | addRegion (int lno, String *line, int sx, int ex, const Region *region)
void | enterScheme (int lno, String *line, int sx, int ex, const Region *region, const Scheme *scheme)
void | leaveScheme (int lno, String *line, int sx, int ex, const Region *region, const Scheme *scheme)
## Protected Member Functions
virtual void | addLineRegion (int lno, LineRegion *lr)
| Behaviour is redefined in derived classes.
int | getLineIndex (int lno) const
bool | checkLine (int lno) const
## Protected Attributes
Vector< LineRegion * > | lineRegions
Vector< LineRegion * > | schemeStack
const RegionMapper * | regionMapper
LineRegion * | flowBackground
const Region * | special
LineRegion | background
int | firstLineNo
int | lineCount

## Member Function Documentation

void LineRegionsSupport::setFirstLine | ( | int | first | ) |

| Sets start line position of line structures. This position tells, that first line structure refers not to first line of text, but to `first` parameter value.

void LineRegionsSupport::setBackground | ( | const RegionDefine * | back | ) |

| Background region define, which is used to fill transparent regions. If background is `null`, then regions with transparent fields would leave these fields unfilled

void LineRegionsSupport::setRegionMapper | ( | const RegionMapper * | rds | ) |

| Choose the source of RegionDefine definitions. This source returns information about mapping Region objects into RegionDefine objects.

LineRegion * LineRegionsSupport::getLineRegions | ( | int | lno | ) | const

| Returns LineRegion object for `lno` line number. This object is linked with all other stored `LineRegion` objects

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.